nl.tudelft.simulation.examples.dsol.terminal

## Class Terminal

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.examples.dsol.terminal.Terminal

All Implemented Interfaces:
  Serializable, EventListener, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble, EventListenerInterface, EventProducerInterface

    public class Terminal
    extends EventProducer
    implements DSOLModel.TimeDouble, EventListenerInterface

A simple model of a container terminal.
(c) copyright 2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Terminal.Output`

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Field Summary

Fields
`static boolean` `DEBUG` debug info or not.
`static EventType` `READY_EVENT` the ship-full event.

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`Terminal(int rep)` constructor for the Container Terminal.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)`
`Ship` `getShip()`
`SimulatorInterface<Double,Double,SimTimeDouble>` `getSimulator()`
`void` `notify(EventInterface event)`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### READY_EVENT

    public static final EventType READY_EVENT

the ship-full event.

#### DEBUG

    public static final boolean DEBUG

debug info or not.

See Also:
  Constant Field Values

### Constructor Detail

#### Terminal

    public Terminal(int rep)

constructor for the Container Terminal.

Parameters:
  `rep` - the replication number

### Method Detail

#### constructModel

    public final void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)
                              throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public final SimulatorInterface<Double,Double,SimTimeDouble> getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`

#### getShip

    public Ship getShip()

Returns:
  the ship for pub/sub

#### notify

    public void notify(EventInterface event)

Specified by:
  `notify` in interface `EventListenerInterface`